util.exc

## Class TvBrowserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - util.exc.TvBrowserException

- All Implemented Interfaces:
    java.io.Serializable

      public class TvBrowserException
      extends java.lang.Exception

  The base exception used within the TV-Browser. It supports internationalization and should be the only exception thrown by methods of the TV-Browser or its plugins.
  Author:
    Til Schneider, www.murfman.de
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvBrowserException(java.lang.Class msgClass, java.lang.String msgKey, java.lang.String defaultMsg)` Creates a new instance of TvBrowserException.
    `TvBrowserException(java.lang.Class msgClass, java.lang.String msgKey, java.lang.String defaultMsg, java.lang.Object msgArg1)` Creates a new instance of TvBrowserException.
    `TvBrowserException(java.lang.Class msgClass, java.lang.String msgKey, java.lang.String defaultMsg, java.lang.Object[] msgArgs)` Creates a new instance of TvBrowserException.
    `TvBrowserException(java.lang.Class msgClass, java.lang.String msgKey, java.lang.String defaultMsg, java.lang.Object[] msgArgs, java.lang.Throwable cause)` Creates a new instance of TvBrowserException.
    `TvBrowserException(java.lang.Class msgClass, java.lang.String msgKey, java.lang.String defaultMsg, java.lang.Object msgArg1, java.lang.Object msgArg2)` Creates a new instance of TvBrowserException.
    `TvBrowserException(java.lang.Class msgClass, java.lang.String msgKey, java.lang.String defaultMsg, java.lang.Object msgArg1, java.lang.Object msgArg2, java.lang.Object msgArg3)` Creates a new instance of TvBrowserException.
    `TvBrowserException(java.lang.Class msgClass, java.lang.String msgKey, java.lang.String defaultMsg, java.lang.Object msgArg1, java.lang.Object msgArg2, java.lang.Object msgArg3, java.lang.Throwable cause)` Creates a new instance of TvBrowserException.
    `TvBrowserException(java.lang.Class msgClass, java.lang.String msgKey, java.lang.String defaultMsg, java.lang.Object msgArg1, java.lang.Object msgArg2, java.lang.Throwable cause)` Creates a new instance of TvBrowserException.
    `TvBrowserException(java.lang.Class msgClass, java.lang.String msgKey, java.lang.String defaultMsg, java.lang.Object msgArg1, java.lang.Throwable cause)` Creates a new instance of TvBrowserException.
    `TvBrowserException(java.lang.Class msgClass, java.lang.String msgKey, java.lang.String defaultMsg, java.lang.Throwable cause)` Creates a new instance of TvBrowserException.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLocalizedMessage()` Gets the localized message of this exception.
    `java.lang.String` | `getMessage()` Gets the error message.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TvBrowserException

          public TvBrowserException(java.lang.Class msgClass,
                            java.lang.String msgKey,
                            java.lang.String defaultMsg)

      Creates a new instance of TvBrowserException.
      Parameters:
        `msgClass` - The class whichs localizer should be used to get the localized error message.
        `msgKey` - The key of the error message.
        `defaultMsg` - The deafault error message (english).

    - #### TvBrowserException

          public TvBrowserException(java.lang.Class msgClass,
                            java.lang.String msgKey,
                            java.lang.String defaultMsg,
                            java.lang.Object msgArg1)

      Creates a new instance of TvBrowserException.
      Parameters:
        `msgClass` - The class whichs localizer should be used to get the localized error message.
        `msgKey` - The key of the error message.
        `defaultMsg` - The deafault error message (english).
        `msgArg1` - The argument that should replace `{0}`.

    - #### TvBrowserException

          public TvBrowserException(java.lang.Class msgClass,
                            java.lang.String msgKey,
                            java.lang.String defaultMsg,
                            java.lang.Object msgArg1,
                            java.lang.Object msgArg2)

      Creates a new instance of TvBrowserException.
      Parameters:
        `msgClass` - The class whichs localizer should be used to get the localized error message.
        `msgKey` - The key of the error message.
        `defaultMsg` - The deafault error message (english).
        `msgArg1` - The argument that should replace `{0}`.
        `msgArg2` - The argument that should replace `{1}`.

    - #### TvBrowserException

          public TvBrowserException(java.lang.Class msgClass,
                            java.lang.String msgKey,
                            java.lang.String defaultMsg,
                            java.lang.Object msgArg1,
                            java.lang.Object msgArg2,
                            java.lang.Object msgArg3)

      Creates a new instance of TvBrowserException.
      Parameters:
        `msgClass` - The class whichs localizer should be used to get the localized error message.
        `msgKey` - The key of the error message.
        `defaultMsg` - The deafault error message (english).
        `msgArg1` - The argument that should replace `{0}`.
        `msgArg2` - The argument that should replace `{1}`.
        `msgArg3` - The argument that should replace `{2}`.

    - #### TvBrowserException

          public TvBrowserException(java.lang.Class msgClass,
                            java.lang.String msgKey,
                            java.lang.String defaultMsg,
                            java.lang.Object[] msgArgs)

      Creates a new instance of TvBrowserException.
      Parameters:
        `msgClass` - The class whichs localizer should be used to get the localized error message.
        `msgKey` - The key of the error message.
        `defaultMsg` - The deafault error message (english).
        `msgArgs` - The arguments that should replace the appropriate place holder. See `MessageFormat` for details.

    - #### TvBrowserException

          public TvBrowserException(java.lang.Class msgClass,
                            java.lang.String msgKey,
                            java.lang.String defaultMsg,
                            java.lang.Throwable cause)

      Creates a new instance of TvBrowserException.
      Parameters:
        `msgClass` - The class whichs localizer should be used to get the localized error message.
        `msgKey` - The key of the error message.
        `defaultMsg` - The deafault error message (english).
        `cause` - The exception that causes this exception. (nested exception).

    - #### TvBrowserException

          public TvBrowserException(java.lang.Class msgClass,
                            java.lang.String msgKey,
                            java.lang.String defaultMsg,
                            java.lang.Object msgArg1,
                            java.lang.Throwable cause)

      Creates a new instance of TvBrowserException.
      Parameters:
        `msgClass` - The class whichs localizer should be used to get the localized error message.
        `msgKey` - The key of the error message.
        `defaultMsg` - The deafault error message (english).
        `msgArg1` - The argument that should replace `{0}`.
        `cause` - The exception that causes this exception. (nested exception).

    - #### TvBrowserException

          public TvBrowserException(java.lang.Class msgClass,
                            java.lang.String msgKey,
                            java.lang.String defaultMsg,
                            java.lang.Object msgArg1,
                            java.lang.Object msgArg2,
                            java.lang.Throwable cause)

      Creates a new instance of TvBrowserException.
      Parameters:
        `msgClass` - The class whichs localizer should be used to get the localized error message.
        `msgKey` - The key of the error message.
        `defaultMsg` - The deafault error message (english).
        `msgArg1` - The argument that should replace `{0}`.
        `msgArg2` - The argument that should replace `{1}`.
        `cause` - The exception that causes this exception. (nested exception).

    - #### TvBrowserException

          public TvBrowserException(java.lang.Class msgClass,
                            java.lang.String msgKey,
                            java.lang.String defaultMsg,
                            java.lang.Object msgArg1,
                            java.lang.Object msgArg2,
                            java.lang.Object msgArg3,
                            java.lang.Throwable cause)

      Creates a new instance of TvBrowserException.
      Parameters:
        `msgClass` - The class whichs localizer should be used to get the localized error message.
        `msgKey` - The key of the error message.
        `defaultMsg` - The deafault error message (english).
        `msgArg1` - The argument that should replace `{0}`.
        `msgArg2` - The argument that should replace `{1}`.
        `msgArg3` - The argument that should replace `{2}`.
        `cause` - The exception that causes this exception. (nested exception).

    - #### TvBrowserException

          public TvBrowserException(java.lang.Class msgClass,
                            java.lang.String msgKey,
                            java.lang.String defaultMsg,
                            java.lang.Object[] msgArgs,
                            java.lang.Throwable cause)

      Creates a new instance of TvBrowserException.
      Parameters:
        `msgClass` - The class whichs localizer should be used to get the localized error message.
        `msgKey` - The key of the error message.
        `defaultMsg` - The deafault error message (english).
        `msgArgs` - The arguments that should replace the appropriate place holder. See `MessageFormat` for details.
        `cause` - The exception that causes this exception. (nested exception).

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Gets the error message. (NOT localized!)
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        the error message. (NOT localized!)

    - #### getLocalizedMessage

          public java.lang.String getLocalizedMessage()

      Gets the localized message of this exception.
      Overrides:
        `getLocalizedMessage` in class `java.lang.Throwable`
      Returns:
        the localized message.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)